<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.storlead.sales.mapper.task.TaskMapper">

        <!-- 通用查询映射结果 -->
        <resultMap id="BaseResultMap" extends="com.storlead.framework.mybatis.mapper.SysBaseFieldMapper.BaseResultMap"  type="com.storlead.sales.pojo.entity.task.TaskEntity">
            <id column="id" property="id" />
            <result column="task_begin_time" property="taskBeginTime" />
            <result column="task_content" property="taskContent" />
            <result column="resource_type" property="resourceType" />
            <result column="customer_id" property="customerId" />
            <result column="resource_type_id" property="resourceTypeId" />
            <result column="cooperate_by" property="cooperateBy" />
            <result column="priority_grade" property="priorityGrade" />
            <result column="mark_tag" property="markTag" />
            <result column="task_status" property="taskStatus" />
            <result column="operator_by" property="operatorBy" />
            <result column="operator_time" property="operatorTime" />
            <result column="remark" property="remark" />
            <result column="remind_type" property="remindType" />
            <result column="remind_mode" property="remindMode" />
            <result column="remind_time" property="remindTime" />
            <result column="out_time_remind" property="outTimeRemind" />
        </resultMap>

        <!-- 通用查询结果列 -->
        <sql id="Base_Column_List">
            id, task_begin_time,out_time_remind,task_content, customer_id, resource_type, resource_type_id, cooperate_by, priority_grade, mark_tag, task_status, operator_by, operator_time, remark, remind_type,remind_time, remind_mode, <include refid="com.storlead.framework.mybatis.mapper.SysBaseFieldMapper.Base_Column_List"></include>
        </sql>

    <select id="selectNameById" resultType="string">
        select ${fieldColumn} from ${tableName} where id = #{id}
    </select>
</mapper>
